## PhoshLockscreenManager

PhoshLockscreenManager — The singleton that manages screen locking

## Functions

PhoshLockscreenManager * | phosh_lockscreen_manager_new ()
void | phosh_lockscreen_manager_set_locked ()
gboolean | phosh_lockscreen_manager_get_locked ()
gboolean | phosh_lockscreen_manager_set_page ()
PhoshLockscreenPage | phosh_lockscreen_manager_get_page ()
void | phosh_lockscreen_manager_set_timeout ()
int | phosh_lockscreen_manager_get_timeout ()
gint64 | phosh_lockscreen_manager_get_active_time ()

## Properties

PhoshCallsManager * | calls-manager | Read / Write / Construct Only
gboolean | locked | Read / Write

## Signals

void | wakeup-outputs | Run Last

## Types and Values

#define | PHOSH_TYPE_LOCKSCREEN_MANAGER
| PhoshLockscreenManager

## Object Hierarchy

        GObject
        ╰── PhoshLockscreenManager

## Description

The PhoshLockscreenManager is responsible for putting the PhoshLockscreen on the primary output and a PhoshLockshield on other outputs when the session becomes idle or when invoked explicitly via `phosh_lockscreen_manager_set_locked()`.

## Functions

### phosh_lockscreen_manager_new ()

    PhoshLockscreenManager *
    phosh_lockscreen_manager_new (PhoshCallsManager *calls_manager);

### phosh_lockscreen_manager_set_locked ()

    void
    phosh_lockscreen_manager_set_locked (PhoshLockscreenManager *self,
                                         gboolean state);

### phosh_lockscreen_manager_get_locked ()

    gboolean
    phosh_lockscreen_manager_get_locked (PhoshLockscreenManager *self);

### phosh_lockscreen_manager_set_page ()

    gboolean
    phosh_lockscreen_manager_set_page (PhoshLockscreenManager *self,
                                       PhoshLockscreenPage page);

### phosh_lockscreen_manager_get_page ()

    PhoshLockscreenPage
    phosh_lockscreen_manager_get_page (PhoshLockscreenManager *self);

#### Parameters

self | The PhoshLockscreenManager |

#### Returns

The currently shown PhoshLockscreenPage in the PhoshLockscreen

### phosh_lockscreen_manager_set_timeout ()

    void
    phosh_lockscreen_manager_set_timeout (PhoshLockscreenManager *self,
                                          int timeout);

### phosh_lockscreen_manager_get_timeout ()

    int
    phosh_lockscreen_manager_get_timeout (PhoshLockscreenManager *self);

### phosh_lockscreen_manager_get_active_time ()

    gint64
    phosh_lockscreen_manager_get_active_time
                                   (PhoshLockscreenManager *self);

## Types and Values

### PHOSH_TYPE_LOCKSCREEN_MANAGER

    #define PHOSH_TYPE_LOCKSCREEN_MANAGER (phosh_lockscreen_manager_get_type())

### PhoshLockscreenManager

    typedef struct _PhoshLockscreenManager PhoshLockscreenManager;

## Property Details

### The `“calls-manager”` property

      “calls-manager”            PhoshCallsManager *

Owner: PhoshLockscreenManager

Flags: Read / Write / Construct Only

### The `“locked”` property

      “locked”                   gboolean

Whether the screen is locked.

Owner: PhoshLockscreenManager

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“wakeup-outputs”` signal

    void
    user_function (PhoshLockscreenManager *self,
                   gpointer                user_data)

Emitted when the outputs should be woken up.

#### Parameters

self | The PhoshLockscreenManager emitting this signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last